Name:           maven-changes-plugin
Version:        2.8
Release:        %mkrel 5
Summary:        Plugin to support reporting of changes between releases

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/%{name}
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0:         0001-Remove-dependency-on-velocity-tools.patch

BuildArch:      noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: apache-commons-collections
BuildRequires: jakarta-commons-httpclient
BuildRequires: apache-commons-io
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: maven-local
BuildRequires: maven-project
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-install-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-shared-filtering
BuildRequires: maven-shared-reporting-api
BuildRequires: maven-shared-reporting-impl
BuildRequires: modello
BuildRequires: plexus-containers-container-default
BuildRequires: plexus-containers-component-metadata
BuildRequires: plexus-mail-sender
BuildRequires: plexus-i18n
BuildRequires: plexus-interpolation
BuildRequires: plexus-utils
BuildRequires: plexus-velocity
BuildRequires: xmlrpc3-client
BuildRequires: xmlrpc3-common
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
BuildRequires: velocity

Obsoletes: maven2-plugin-changes <= 0:2.0.8
Provides: maven2-plugin-changes = 1:%{version}-%{release}

%description
This plugin is used to inform your users of the changes that have
occurred between different releases of your project. The plugin can
extract these changes, either from a changes.xml file or from the JIRA
issue management system, and present them as a report. You also have
the option of creating a release announcement and even sending this
via email to your users.


%package javadoc
Group:    Documentation
Summary:  Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q

# remove dependency on velocity-tools
%patch0 -p1
%pom_remove_dep :velocity-tools

# Javamail is provided by JDK
%pom_remove_dep :geronimo-javamail_1.4_mail
%pom_remove_dep :geronimo-javamail_1.4_provider
%pom_remove_dep :geronimo-javamail_1.4_spec

# Fix Maven 3 compatibility
%pom_add_dep org.apache.maven:maven-compat

# Disable github module as we don't have dependencies
rm -rf src/main/java/org/apache/maven/plugin/github
%pom_remove_dep org.apache.httpcomponents:
%pom_remove_dep org.eclipse.mylyn.github:

%build
%mvn_build -f

%install
%mvn_install


%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.8-5.mga4
+ Revision: 537833
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 2.8-4.mga4
+ Revision: 487880
- Build with xmvn

* Fri Jan 18 2013 dmorgan <dmorgan> 2.8-3.mga3
+ Revision: 389259
- Adapt to new xmlrpc name
- Update to upstream version 2.8
- Convert patches to POM macros
- Install LICENSE and NOTICE files
- Remove rpm bug workaround

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 dmorgan <dmorgan> 2.7.1-1.mga3
+ Revision: 292311
- New version

* Sun Jul 24 2011 dmorgan <dmorgan> 2.6-2.mga2
+ Revision: 128154
- Migration from plexus-maven-plugin to plexus-containers-component-metadata
- Add missing patch
- Update to latest upstream (2.6)
- Properly complete BR/R
- Fix maven3 compatibility

* Wed Jul 20 2011 dmorgan <dmorgan> 2.5-2.mga2
+ Revision: 127089
- Do not require maven2, require maven.

* Wed Jul 20 2011 dmorgan <dmorgan> 2.5-1.mga2
+ Revision: 127088
- New version 2.5

* Thu Apr 28 2011 dmorgan <dmorgan> 2.4-2.mga1
+ Revision: 92691
- Rebuild after bootstrapping
- imported package maven-changes-plugin


* Fri Mar  4 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.4-1
- Update to latest upsteam (2.4)
- Build with maven 3
- Versionless jars & javadocs

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.3-1
- Initial package
